Loading...
Searching...
No Matches
gtsam::Reshape< OutM, OutN, OutOptions, InM, InN, InOptions > Struct Template Reference

## Detailed Description

template<int OutM, int OutN, int OutOptions, int InM, int InN, int InOptions>
struct gtsam::Reshape< OutM, OutN, OutOptions, InM, InN, InOptions >

Reshape functor.

## Static Public Member Functions

static ReshapedType | reshape (const Eigen::Matrix< double, InM, InN, InOptions > &in)

## Public Types

typedef Eigen::Map< const Eigen::Matrix< double, OutM, OutN, OutOptions > > | ReshapedType

The documentation for this struct was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/base/Matrix.h